precision lowp float;

varying vec2 vTexCoord;
varying vec4 vColor;

uniform sampler2D uTexture0;

void main()
{
    vec4 color = texture2D(uTexture0, vTexCoord) * vColor;
    //float max_g = max(color.r, max(color.g, color.b));
    //float min_g = min(color.r, min(color.g, color.g));
    //float gray = (max_g + min_g) / 2.0f;
    //gl_FragColor = vec4(gray, gray, gray, color.a);
    
    float lum = color.r * 0.22 +color.g * 0.707 + color.b*0.071;
    // gl_FragColor = texture2D(uTexture0, vTexCoord) * vColor;
    gl_FragColor = vec4(lum, lum, lum, color.a);
}